Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Functions
Java Datasets (H5D) Interface

## Detailed Description

See also
  Datasets (H5D), C-API
  HDF5 Datasets, User Guide

## Functions
static int | H5Dclose (long dataset_id) throws HDF5LibraryException
static synchronized native int | H5Dcopy (long src_did, long dst_did) throws HDF5LibraryException
static long | H5Dcreate (long loc_id, String name, long type_id, long space_id, long lcpl_id, long dcpl_id, long dapl_id) throws HDF5LibraryException, NullPointerException
static long | H5Dcreate_anon (long loc_id, long type_id, long space_id, long dcpl_id, long dapl_id) throws HDF5LibraryException
static synchronized native void | H5Dfill (byte[] fill, long fill_type, byte[] buf, long buf_type, long space_id) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Dflush (long dset_id) throws HDF5LibraryException
static synchronized native long | H5Dget_access_plist (long dset_id) throws HDF5LibraryException
static long | H5Dget_create_plist (long dataset_id) throws HDF5LibraryException
static synchronized native long | H5Dget_offset (long dset_id) throws HDF5LibraryException
static long | H5Dget_space (long dataset_id) throws HDF5LibraryException
static synchronized native int | H5Dget_space_status (long dset_id) throws HDF5LibraryException
static synchronized native long | H5Dget_storage_size (long dataset_id) throws HDF5LibraryException, IllegalArgumentException
static long | H5Dget_type (long dataset_id) throws HDF5LibraryException
static synchronized native int | H5Diterate (byte[] buf, long buf_type, long space_id, H5D_iterate_cb op, H5D_iterate_t op_data) throws HDF5LibraryException, NullPointerException
static long | H5Dopen (long loc_id, String name, long dapl_id) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dread (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, byte[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dread (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, byte[] obj, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dread (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, Object obj) throws HDF5Exception, HDF5LibraryException, NullPointerException
static synchronized int | H5Dread (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, Object obj, boolean isCriticalPinning) throws HDF5Exception, HDF5LibraryException, NullPointerException
static synchronized int | H5Dread_double (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, double[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dread_double (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, double[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dread_float (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, float[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dread_float (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, float[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dread_int (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, int[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dread_int (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, int[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dread_long (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, long[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dread_long (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, long[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dread_reg_ref (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, String[] buf) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dread_short (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, short[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dread_short (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, short[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dread_string (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, String[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dread_VLStrings (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, Object[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5DreadVL (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, Object[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Drefresh (long dset_id) throws HDF5LibraryException
static synchronized native void | H5Dset_extent (long dset_id, long size[]) throws HDF5LibraryException, NullPointerException
static synchronized native long | H5Dvlen_get_buf_size (long dset_id, long type_id, long space_id) throws HDF5LibraryException
static synchronized native int | H5Dvlen_reclaim (long type_id, long space_id, long xfer_plist_id, byte[] buf) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dwrite (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, byte[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dwrite (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, byte[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dwrite (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, Object obj) throws HDF5Exception, HDF5LibraryException, NullPointerException
static synchronized int | H5Dwrite (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, Object obj, boolean isCriticalPinning) throws HDF5Exception, HDF5LibraryException, NullPointerException
static synchronized int | H5Dwrite_double (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, double[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dwrite_double (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, double[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dwrite_float (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, float[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dwrite_float (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, float[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dwrite_int (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, int[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dwrite_int (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, int[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dwrite_long (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, long[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dwrite_long (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, long[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dwrite_short (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, short[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dwrite_short (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, short[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dwrite_string (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, String[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dwrite_VLStrings (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, Object[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5DwriteVL (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, Object[] buf) throws HDF5LibraryException, NullPointerException

## Function Documentation

## ◆ H5Dclose()

static int H5Dclose | ( | long | dataset_id | ) | throws HDF5LibraryException
| static

H5Dclose ends access to a dataset specified by dataset_id and releases resources used by it.

Parameters

  dataset_id | Identifier of the dataset to finish access to.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Dcopy()

static synchronized native int H5Dcopy | ( | long | src_did,
|  | long | dst_did ) throws HDF5LibraryException
| static

H5Dcopy copies the content of one dataset to another dataset.

Parameters

  src_did | the identifier of the source dataset
  dst_did | the identifier of the destination dataset

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Dcreate()

static long H5Dcreate | ( | long | loc_id,
|  | String | name,
|  | long | type_id,
|  | long | space_id,
|  | long | lcpl_id,
|  | long | dcpl_id,
|  | long | dapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Dcreate creates a new dataset named name at the location specified by loc_id.

Parameters

  loc_id | IN: Location identifier
  name | IN: Dataset name
  type_id | IN: Datatype identifier
  space_id | IN: Dataspace identifier
  lcpl_id | IN: Identifier of link creation property list.
  dcpl_id | IN: Identifier of dataset creation property list.
  dapl_id | IN: Identifier of dataset access property list.

Returns
  a dataset identifier

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Dcreate_anon()

static long H5Dcreate_anon | ( | long | loc_id,
|  | long | type_id,
|  | long | space_id,
|  | long | dcpl_id,
|  | long | dapl_id ) throws HDF5LibraryException
| static

H5Dcreate_anon creates a dataset in the file specified by loc_id.

Parameters

  loc_id | IN: Location identifier
  type_id | IN: Datatype identifier
  space_id | IN: Dataspace identifier
  dcpl_id | IN: Identifier of dataset creation property list.
  dapl_id | IN: Identifier of dataset access property list.

Returns
  a dataset identifier

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Dfill()

static synchronized native void H5Dfill | ( | byte[] | fill,
|  | long | fill_type,
|  | byte[] | buf,
|  | long | buf_type,
|  | long | space_id ) throws HDF5LibraryException, NullPointerException
| static

H5Dfill explicitly fills the dataspace selection in memory, space_id, with the fill value specified in fill.

Parameters

  fill | IN: Pointer to the fill value to be used.
  fill_type | IN: Fill value datatype identifier.
  buf | IN/OUT: Pointer to the memory buffer containing the selection to be filled.
  buf_type | IN: Datatype of dataspace elements to be filled.
  space_id | IN: Dataspace describing memory buffer and containing the selection to be filled.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | buf is null.

## ◆ H5Dflush()

static synchronized native void H5Dflush | ( | long | dset_id | ) | throws HDF5LibraryException
| static

H5Dflush causes all buffers associated with a dataset to be immediately flushed to disk without removing the data from the cache.

Parameters

  dset_id | IN: Identifier of the dataset to be flushed.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Dget_access_plist()

static synchronized native long H5Dget_access_plist | ( | long | dset_id | ) | throws HDF5LibraryException
| static

H5Dget_access_plist returns an identifier for a copy of the dataset access property list for a dataset.

Parameters

  dset_id | IN: Identifier of the dataset to query.

Returns
  a dataset access property list identifier

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Dget_create_plist()

static long H5Dget_create_plist | ( | long | dataset_id | ) | throws HDF5LibraryException
| static

H5Dget_create_plist returns an identifier for a copy of the dataset creation property list for a dataset.

Parameters

  dataset_id | Identifier of the dataset to query.

Returns
  a dataset creation property list identifier if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Dget_offset()

static synchronized native long H5Dget_offset | ( | long | dset_id | ) | throws HDF5LibraryException
| static

H5Dget_offset returns the address in the file of the dataset dset_id.

Parameters

  dset_id | IN: Identifier of the dataset in question

Returns
  the offset in bytes.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Dget_space()

static long H5Dget_space | ( | long | dataset_id | ) | throws HDF5LibraryException
| static

H5Dget_space returns an identifier for a copy of the dataspace for a dataset.

Parameters

  dataset_id | Identifier of the dataset to query.

Returns
  a dataspace identifier if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Dget_space_status()

static synchronized native int H5Dget_space_status | ( | long | dset_id | ) | throws HDF5LibraryException
| static

H5Dget_space_status determines whether space has been allocated for the dataset dset_id.

Parameters

  dset_id | IN: Identifier of the dataset to query.

Returns
  the space allocation status

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Dget_storage_size()

static synchronized native long H5Dget_storage_size | ( | long | dataset_id | ) | throws HDF5LibraryException, IllegalArgumentException
| static

H5Dget_storage_size returns the amount of storage that is required for the dataset.

Parameters

  dataset_id | Identifier of the dataset in question

Returns
  he amount of storage space allocated for the dataset.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Dget_type()

static long H5Dget_type | ( | long | dataset_id | ) | throws HDF5LibraryException
| static

H5Dget_type returns an identifier for a copy of the datatype for a dataset.

Parameters

  dataset_id | Identifier of the dataset to query.

Returns
  a datatype identifier if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Diterate()

static synchronized native int H5Diterate | ( | byte[] | buf,
|  | long | buf_type,
|  | long | space_id,
|  | H5D_iterate_cb | op,
|  | H5D_iterate_t | op_data ) throws HDF5LibraryException, NullPointerException
| static

H5Diterate iterates over all the data elements in the memory buffer buf, executing the callback function operator once for each such data element.

Parameters

  buf | IN/OUT: Pointer to the memory containing the elements to iterate over.
  buf_type | IN: Buffer datatype identifier.
  space_id | IN: Dataspace describing memory buffer.
  op | IN: Callback function to operate on each value.
  op_data | IN/OUT: Pointer to any user-efined data for use by operator function.

Returns
  returns the return value of the first operator that returns a positive value, or zero if all members were processed with no operator returning non-zero.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | buf is null.

## ◆ H5Dopen()

static long H5Dopen | ( | long | loc_id,
|  | String | name,
|  | long | dapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Dopen opens the existing dataset specified by a location identifier and name, loc_id and name, respectively.

Parameters

  loc_id | IN: Location identifier
  name | IN: Dataset name
  dapl_id | IN: Identifier of dataset access property list.

Returns
  a dataset identifier if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Dread() [1/4]

static synchronized int H5Dread | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | byte[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Dread reads a (partial) dataset, specified by its identifier dataset_id, from the file into the application memory buffer buf.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer to store data read from the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Dread() [2/4]

static synchronized native int H5Dread | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | byte[] | obj,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Dread reads a (partial) dataset, specified by its identifier dataset_id, from the file into the application memory buffer buf.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  obj | Buffer to store data read from the file.
  isCriticalPinning | request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Dread() [3/4]

static synchronized int H5Dread | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | Object | obj ) throws HDF5Exception, HDF5LibraryException, NullPointerException
| static

H5Dread reads a (partial) dataset, specified by its identifier dataset_id, from the file into the application memory buffer buf.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  obj | Buffer to store data read from the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Dread() [4/4]

static synchronized int H5Dread | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | Object | obj,
|  | boolean | isCriticalPinning ) throws HDF5Exception, HDF5LibraryException, NullPointerException
| static

H5Dread reads a (partial) dataset, specified by its identifier dataset_id, from the file into the application data object.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  obj | Object to store data read from the file.
  isCriticalPinning | request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5Exception | Failure in the data conversion.
  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data object is null.

## ◆ H5Dread_double() [1/2]

static synchronized int H5Dread_double | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | double[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Dread reads a (partial) dataset, specified by its identifier dataset_id, from the file into the application memory buffer of type double.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of double to store data read from the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Dread_double() [2/2]

static synchronized native int H5Dread_double | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | double[] | buf,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Dread reads a (partial) dataset, specified by its identifier dataset_id, from the file into the application memory buffer of type double.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of type double to store data read from the file.
  isCriticalPinning | request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Dread_float() [1/2]

static synchronized int H5Dread_float | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | float[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Dread reads a (partial) dataset, specified by its identifier dataset_id, from the file into the application memory buffer of float.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of float to store data read from the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Dread_float() [2/2]

static synchronized native int H5Dread_float | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | float[] | buf,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Dread reads a (partial) dataset, specified by its identifier dataset_id, from the file into the application memory buffer of float.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of float to store data read from the file.
  isCriticalPinning | request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Dread_int() [1/2]

static synchronized int H5Dread_int | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | int[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Dread reads a (partial) dataset, specified by its identifier dataset_id, from the file into the application memory buffer of int.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of int to store data read from the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Dread_int() [2/2]

static synchronized native int H5Dread_int | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | int[] | buf,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Dread reads a (partial) dataset, specified by its identifier dataset_id, from the file into the application memory buffer of int.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of int to store data read from the file.
  isCriticalPinning | request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Dread_long() [1/2]

static synchronized int H5Dread_long | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | long[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Dread reads a (partial) dataset, specified by its identifier dataset_id, from the file into the application memory buffer of long.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of long to store data read from the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Dread_long() [2/2]

static synchronized native int H5Dread_long | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | long[] | buf,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Dread reads a (partial) dataset, specified by its identifier dataset_id, from the file into the application memory buffer of long.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of long to store data read from the file.
  isCriticalPinning | request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Dread_reg_ref()

static synchronized native int H5Dread_reg_ref | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | String[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Dread reads a (partial) dataset, specified by its identifier dataset_id, from the file into the application memory buffer of string.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of string to store data read from the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Dread_short() [1/2]

static synchronized int H5Dread_short | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | short[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Dread reads a (partial) dataset, specified by its identifier dataset_id, from the file into the application memory buffer of short.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of short to store data read from the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Dread_short() [2/2]

static synchronized native int H5Dread_short | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | short[] | buf,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Dread reads a (partial) dataset, specified by its identifier dataset_id, from the file into the application memory buffer of short.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of short to store data read from the file.
  isCriticalPinning | request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Dread_string()

static synchronized native int H5Dread_string | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | String[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Dread reads a (partial) dataset, specified by its identifier dataset_id, from the file into the application memory buffer of string.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of string to store data read from the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Dread_VLStrings()

static synchronized native int H5Dread_VLStrings | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | Object[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Dread reads a (partial) dataset, specified by its identifier dataset_id, from the file into the application memory buffer of variable-lenght strings.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of variable-lenght strings to store data read from the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5DreadVL()

static synchronized native int H5DreadVL | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | Object[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Dread reads a (partial) dataset, specified by its identifier dataset_id, from the file into the application memory buffer of variable-lenght.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of variable-lenght to store data read from the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Drefresh()

static synchronized native void H5Drefresh | ( | long | dset_id | ) | throws HDF5LibraryException
| static

H5Drefresh causes all buffers associated with a dataset to be cleared and immediately re-loaded with updated contents from disk. This function essentially closes the dataset, evicts all metadata associated with it from the cache, and then re-opens the dataset. The reopened dataset is automatically re-registered with the same ID.

Parameters

  dset_id | IN: Identifier of the dataset to be refreshed.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Dset_extent()

static synchronized native void H5Dset_extent | ( | long | dset_id,
|  | long | size[] ) throws HDF5LibraryException, NullPointerException
| static

H5Dset_extent sets the current dimensions of the chunked dataset dset_id to the sizes specified in size.

Parameters

  dset_id | IN: Chunked dataset identifier.
  size | IN: Array containing the new magnitude of each dimension of the dataset.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | size is null.

## ◆ H5Dvlen_get_buf_size()

static synchronized native long H5Dvlen_get_buf_size | ( | long | dset_id,
|  | long | type_id,
|  | long | space_id ) throws HDF5LibraryException
| static

H5Dvlen_get_buf_size determines the number of bytes required to store the VL data from the dataset, using the space_id for the selection in the dataset on disk and the type_id for the memory representation of the VL data in memory.

Parameters

  dset_id | IN: Identifier of the dataset read from.
  type_id | IN: Identifier of the datatype.
  space_id | IN: Identifier of the dataspace.

Returns
  the size in bytes of the memory buffer required to store the VL data.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | buf is null.

## ◆ H5Dvlen_reclaim()

static synchronized native int H5Dvlen_reclaim | ( | long | type_id,
|  | long | space_id,
|  | long | xfer_plist_id,
|  | byte[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Dvlen_reclaim reclaims buffer used for VL data.

Parameters

  type_id | Identifier of the datatype.
  space_id | Identifier of the dataspace.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer with data to be reclaimed.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | buf is null.

Deprecated
  As of HDF5 1.12.0 in favor of H5Treclaim

## ◆ H5Dwrite() [1/4]

static synchronized int H5Dwrite | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | byte[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Dwrite writes a (partial) dataset, specified by its identifier dataset_id, from the application memory buffer into the file.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer with data to be written to the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Dwrite() [2/4]

static synchronized native int H5Dwrite | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | byte[] | buf,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Dwrite writes a (partial) dataset, specified by its identifier dataset_id, from the application memory buffer into the file.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer with data to be written to the file.
  isCriticalPinning | request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Dwrite() [3/4]

static synchronized int H5Dwrite | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | Object | obj ) throws HDF5Exception, HDF5LibraryException, NullPointerException
| static

H5Dwrite writes a (partial) dataset, specified by its identifier dataset_id, from the application memory buffer into the file.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  obj | Buffer with data to be written to the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Dwrite() [4/4]

static synchronized int H5Dwrite | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | Object | obj,
|  | boolean | isCriticalPinning ) throws HDF5Exception, HDF5LibraryException, NullPointerException
| static

H5Dwrite writes a (partial) dataset, specified by its identifier dataset_id, from the application memory data object into the file.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  obj | Object with data to be written to the file.
  isCriticalPinning | request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5Exception | Failure in the data conversion.
  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data object is null.

## ◆ H5Dwrite_double() [1/2]

static synchronized int H5Dwrite_double | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | double[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Dwrite writes a (partial) dataset, specified by its identifier dataset_id, from the application memory buffer into the file.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of double with data to be written to the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Dwrite_double() [2/2]

static synchronized native int H5Dwrite_double | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | double[] | buf,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Dwrite writes a (partial) dataset, specified by its identifier dataset_id, from the application memory buffer into the file.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of double with data to be written to the file.
  isCriticalPinning | request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Dwrite_float() [1/2]

static synchronized int H5Dwrite_float | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | float[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Dwrite writes a (partial) dataset, specified by its identifier dataset_id, from the application memory buffer into the file.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of float with data to be written to the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Dwrite_float() [2/2]

static synchronized native int H5Dwrite_float | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | float[] | buf,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Dwrite writes a (partial) dataset, specified by its identifier dataset_id, from the application memory buffer into the file.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of float with data to be written to the file.
  isCriticalPinning | request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Dwrite_int() [1/2]

static synchronized int H5Dwrite_int | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | int[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Dwrite writes a (partial) dataset, specified by its identifier dataset_id, from the application memory buffer into the file.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of int with data to be written to the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Dwrite_int() [2/2]

static synchronized native int H5Dwrite_int | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | int[] | buf,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Dwrite writes a (partial) dataset, specified by its identifier dataset_id, from the application memory buffer into the file.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of int with data to be written to the file.
  isCriticalPinning | request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Dwrite_long() [1/2]

static synchronized int H5Dwrite_long | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | long[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Dwrite writes a (partial) dataset, specified by its identifier dataset_id, from the application memory buffer into the file.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of long with data to be written to the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Dwrite_long() [2/2]

static synchronized native int H5Dwrite_long | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | long[] | buf,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Dwrite writes a (partial) dataset, specified by its identifier dataset_id, from the application memory buffer into the file.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of long with data to be written to the file.
  isCriticalPinning | request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Dwrite_short() [1/2]

static synchronized int H5Dwrite_short | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | short[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Dwrite writes a (partial) dataset, specified by its identifier dataset_id, from the application memory buffer into the file.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of short with data to be written to the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Dwrite_short() [2/2]

static synchronized native int H5Dwrite_short | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | short[] | buf,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Dwrite writes a (partial) dataset, specified by its identifier dataset_id, from the application memory buffer into the file.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of short with data to be written to the file.
  isCriticalPinning | request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Dwrite_string()

static synchronized native int H5Dwrite_string | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | String[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Dwrite writes a (partial) dataset, specified by its identifier dataset_id, from the application memory buffer into the file.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of string with data to be written to the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Dwrite_VLStrings()

static synchronized native int H5Dwrite_VLStrings | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | Object[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Dwrite_VLStrings writes a (partial) variable length String dataset, specified by its identifier dataset_id, from the application memory buffer buf into the file.

-— contributed by Rosetta Biosoftware

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer with data to be written to the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5DwriteVL()

static synchronized native int H5DwriteVL | ( | long | dataset_id,
|  | long | mem_type_id,
|  | long | mem_space_id,
|  | long | file_space_id,
|  | long | xfer_plist_id,
|  | Object[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Dwrite writes a (partial) dataset, specified by its identifier dataset_id, from the application memory buffer into the file.

Parameters

  dataset_id | Identifier of the dataset read from.
  mem_type_id | Identifier of the memory datatype.
  mem_space_id | Identifier of the memory dataspace.
  file_space_id | Identifier of the dataset's dataspace in the file.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer of variable-length with data to be written to the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.